%define oname   concurrent-ruby

Name:       ruby-%{oname}
Version:    1.1.7
Release:    %mkrel 1
Summary:    Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns
License:    MIT
Group:      Development/Ruby
URL:        http://www.concurrent-ruby.com
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
Modern concurrency tools including agents, futures, promises, thread pools,
actors, supervisors, and more.
Inspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency
patterns.


%files
%{gem_instdir}
%doc README.md
%doc LICENSE.txt
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.md


#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Nov 01 2020 pterjan <pterjan> 1.1.7-1.mga8
+ Revision: 1641212
- Update to 1.1.7

* Sat Mar 28 2020 pterjan <pterjan> 1.1.6-1.mga8
+ Revision: 1561765
- Update to 1.1.6

* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-2.mga8
+ Revision: 1522356
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1.1.4-1.mga7
+ Revision: 1360712
- Update to 1.1.4

* Wed Nov 07 2018 pterjan <pterjan> 1.1.3-1.mga7
+ Revision: 1328739
- Update to 1.1.3

* Fri Sep 21 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1290796
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 pterjan <pterjan> 1.0.5-1.mga7
+ Revision: 1222020
- imported package ruby-concurrent-ruby

